org.springframework.asm

## Class SpringAsmInfo

- java.lang.Object
- - org.springframework.asm.SpringAsmInfo

    public final class SpringAsmInfo
    extends Object

Utility class exposing constants related to Spring's internal repackaging of the ASM bytecode manipulation library.

See package-level Javadoc for more information on `org.springframework.asm`.

Since:
  3.2
Author:
  Chris Beams

### Field Summary

Fields
`static int` `ASM_VERSION` The ASM version used internally throughout the framework.

### Constructor Summary

Constructors
Constructor and Description
`SpringAsmInfo()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ASM_VERSION

    public static final int ASM_VERSION

The ASM version used internally throughout the framework.

See Also:
  `Opcodes.ASM4`, Constant Field Values

### Constructor Detail

#### SpringAsmInfo

    public SpringAsmInfo()